{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block extra_head %}
{{ form.media }}
{% endblock extra_head %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="{% block form_size_classes %}col-12 col-sm-9 col-lg-6 mx-auto my-auto{% endblock form_size_classes %}">
            <div class="card">
                <div class="card-header text-center">
                    {% block form_title %}{% endblock form_title %}
                </div>
                <div class="card-body">
                    <form novalidate id="form" method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <hr>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.next %}disabled{% endif %}" href="{{ request.GET.next }}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                {% block extra_form_buttons %}{% endblock extra_form_buttons %}
                                {% block submit_form_button %}
                                <button type="submit" class="btn btn-primary">
                                    <i class="fas fa-check fa-fw mr-1"></i>{% trans "Submit" %}
                                </button>
                                {% endblock submit_form_button %}
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}